states.push({
	id: "store-solar",
	button: "Store the Solar Array",
	action: "Folding Array",
	duration: 1200,
	show: () => isFlagEnabled('solar-array-purchased') && isFlagEnabled('solar-enabled'),
	requires: () => {
		if (!isFlagEnabled('solar-enabled')) { errorMessage = "Solar panels already stored"; }
		return isFlagEnabled('solar-enabled');
	},
	run: () => {
		userData.energyRegenRate = 10;
		userData.energyRegenAmount = 1;
		clearFlag('solar-enabled');
	},
});